package com.bwie.user.controller;

import com.bwie.user.domain.Result;
import com.bwie.user.domain.req.UserLoginReq;
import com.bwie.user.domain.resp.UserLoginResp;
import com.bwie.user.service.UserService;
import lombok.RequiredArgsConstructor;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Log4j2
@RestController
@RequestMapping("user")
@RequiredArgsConstructor
public class UserController {


    private final UserService userService;

    @PostMapping("login")
    public Result<UserLoginReq> login(@RequestBody UserLoginReq req){
        try {
            UserLoginResp login = userService.login(req);
            if (login.getUserRole()==1){
                return Result.success("普通用户登录成功",login);
            }else {
                return Result.success("管理员登录成功",login);
            }
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
    }









}
