package com.bwie.user.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Result<T> {

    private Integer code;
    private String msg;
    private T data;

    public static<T> Result success(T data){
        return new Result(200,"操作成功",data);

    }
    public static<T> Result success(String msg,T data){
        return new Result(200,msg,data);
    }
    public static<T> Result error(T data){
        return new Result(500,"操作失败",data);

    }

    public static<T> Result error(String msg){
        return new Result(500,msg,null);

    }
    public static<T> Result error(String msg,T data){
        return new Result(500,msg,data);
    }
}
