package com.bwie.user.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.user.domain.User;
import com.bwie.user.domain.req.UserLoginReq;
import com.bwie.user.domain.resp.UserLoginResp;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;

@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements UserService {

    @Resource
    private UserMapper userMapper;

    @Override
    public UserLoginResp login(UserLoginReq req) {
        if (StringUtils.isEmpty(req.getUserName())||StringUtils.isEmpty(req.getUserPwd())){
            throw new RuntimeException("账号或密码不能为空");
        }
        LambdaQueryWrapper<User> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(User::getUserName,req.getUserName());
        User user = userMapper.selectOne(wrapper);
        if (!user.getUserPwd().equals(req.getUserPwd())){
            throw new RuntimeException("密码错误");
        }
        UserLoginResp resp = UserLoginResp.userBuild(user);
        return resp;
    }
}
